=== debian/changelog ===
snapd (2.30-5) unstable; urgency=medium

  * Team upload.
  * add fix-pkg-config-line.patch to fix FTBFS
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 23:18:15 +0100

snapd (2.30-4) unstable; urgency=medium

  * Fix Built-Using computation on Debian.
  * Add d/patches/disable-TestDoRequestSerialErrorsOnNoHost.patch to disable
    a flaky test.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 16 Jan 2018 13:02:31 +1300

snapd (2.30-3) unstable; urgency=medium

  * Fix arch builds again, sigh,

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 09 Jan 2018 13:56:48 +1300

snapd (2.30-2) unstable; urgency=medium

  * Fix arch-all-only build. (Closes: 886431)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 09 Jan 2018 10:48:20 +1300

snapd (2.30-1) unstable; urgency=medium

  * New upstream release.
  * Remove several patches:
    - 0001-osutil-adjust-StreamCommand-tests-for-golang-1.9.patch: included in
      release.
    - apparmor-compat.patch, no-reexec-on-debian.patch: Removed as upstream
      now implements a better solution to the problem.
    - pb.v1-canonical-path.patch: applied upstream.
  * Stop installing udev/rules.d/80-snappy-assign.rules, gone upstream

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 05 Jan 2018 09:39:07 +1300

snapd (2.28.5) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - snap-confine: cleanup broken nvidia udev tags
    - cmd/snap-confine: update valid security tag regexp
    - overlord/ifacestate: refresh udev backend on startup
    - dbus: ensure io.snapcraft.Launcher.service is created on re-
      exec
    - snap-confine: add support for handling /dev/nvidia-modeset
    - interfaces/network-control: remove incorrect rules for tun

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Oct 2017 23:25:46 +0200

snapd (2.28.4) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - interfaces/opengl: don't udev tag nvidia devices and use snap-
      confine instead
    - debian: fix replaces/breaks for snap-xdg-open (thanks to apw!)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2017 19:40:57 +0200

snapd (2.28.3) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - interfaces/lxd: lxd slot implementation can also be an app
      snap

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2017 08:20:26 +0200

snapd (2.28.2) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - interfaces: fix udev rules for tun
    - release,cmd,dirs: Redo the distro checks to take into account
      distribution families

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Oct 2017 18:39:58 +0200

snapd (2.28.1) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - snap-confine: update apparmor rules for fedora based basesnaps
    - snapstate: rename refresh hook to post-refresh for consistency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Sep 2017 17:59:49 -0400

snapd (2.28) xenial; urgency=medium

  * New upstream release, LP: #1714984
    - hooks: rename refresh to after-refresh
    - snap-confine: bind mount /usr/lib/snapd relative to snap-confine
    - cmd,dirs: treat "liri" the same way as "arch"
    - snap-confine: fix base snaps on core
    - hooks: substitute env vars when executing hooks
    - interfaces: updates for default, browser-support, desktop, opengl,
      upower and stub-resolv.conf
    - cmd,dirs: treat manjaro the same as arch
    - systemd: do not run auto-import and repair services on classic
    - packaging/fedora: Ensure vendor/ is empty for builds and fix spec
      to build current master
    - many: fix TestSetConfNumber missing an Unlock and other fragility
      improvements
    - osutil: adjust StreamCommand tests for golang 1.9
    - daemon: allow polkit authorisation to install/remove snaps
    - tests: make TestCmdWatch more robust
    - debian: improve package description
    - interfaces: add netlink kobject uevent to hardware observe
    - debian: update trusted account-keys check on 14.04 packaging
    - interfaces/network-{control,observe}: allow receiving
      kobject_uevent() messages
    - tests: fix lxd test for external backend
    - snap-confine,snap-update-ns: add -no-pie to fix FTBFS on
      go1.7,ppc64
    - corecfg: mock "systemctl" in all corecfg tests
    - tests: fix unit tests on Ubuntu 14.04
    - debian: add missing flags when building static snap-exec
    - many: end-to-end support for the bare base snap
    - overlord/snapstate: SetRootDir from SetUpTest, not in just some
      tests
    - store: have an ad-hoc method on cfg to get its list of uris for
      tests
    - daemon: let client decide whether to allow interactive auth via
      polkit
    - client,daemon,snap,store: add license field
    - overlord/snapstate: rename HasCurrent to IsInstalled, remove
      superfluous/misleading check from All
    - cmd/snap: SetRootDir from SetUpTest, not in just some individual
      tests.
    - systemd: rename snap-repair.{service,timer} to snapd.snap-
      repair.{service,timer}
    - snap-seccomp: remove use of x/net/bpf from tests
    - httputil: more naive per go version way to recreate a default
      transport for tls reconfig
    - cmd/snap-seccomp/main_test.go: add one more syscall for arm64
    - interfaces/opengl: use == to compare, not =
    - cmd/snap-seccomp/main_test.go: add syscalls for armhf and arm64
    - cmd/snap-repair: track and use a lower bound for the time for
      TLS checks
    - interfaces: expose bluez interface on classic OS
    - snap-seccomp: add in-kernel bpf tests
    - overlord: always try to get a serial, lazily on classic
    - tests: add nmcli regression test
    - tests: deal with __PNR_chown on aarch64 to fix FTBFS on arm64
    - tests: add autopilot-introspection interface test
    - vendor: fix artifact from manually editing vendor/vendor.json
    - tests: rename complexion to test-snapd-complexion

