=== debian/control ===
Source: snapd
Section: devel
Priority: optional
Maintainer: Steve Langasek <vorlon@debian.org>
Uploaders: Michael Hudson-Doyle <michael.hudson@ubuntu.com>,
	Zygmunt Krynicki <me@zygoon.pl>,
	Luke Faraone <lfaraone@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bash-completion,
               dbus,
               debhelper (>= 9),
               dh-apparmor,
               dh-autoreconf,
               dh-golang (>=1.7),
               dh-systemd,
               fakeroot,
               gettext,
               grub-common,
               gnupg2,
               golang-check.v1-dev,
               golang-context-dev,
               golang-dbus-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-gorilla-mux-dev,
               golang-github-gosexy-gettext-dev,
               golang-github-mvo5-goconfigparser-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-go,
               golang-go-flags-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-tomb.v2-dev (>= 0.0~git20161208.0.d5d1b58-1),
               golang-yaml.v2-dev,
               golang-gopkg-macaroon.v1-dev,
               golang-gopkg-mgo.v2-dev,
               golang-gopkg-retry.v1-dev,
               golang-gopkg-tylerb-graceful.v1-dev,
               golang-github-gosexy-gettext-dev,
               golang-any (>=2:1.6) | golang-1.6,
               indent,
               init-system-helpers,
               libcap-dev,
               libapparmor-dev,
               libglib2.0-dev,
               libseccomp-dev,
               libudev-dev,
               openssh-client,
               pkg-config,
               python3,
               python3-docutils,
               python3-markdown,
               squashfs-tools,
               tzdata,
               udev,
               xfslibs-dev
Standards-Version: 3.9.8
Homepage: https://github.com/snapcore/snapd
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/snapd.git
Vcs-Git: git://anonscm.debian.org/collab-maint/snapd.git
XS-Go-Import-Path: github.com/snapcore/snapd

Package: golang-github-ubuntu-core-snappy-dev
Architecture: all
Depends: golang-github-snapcore-snapd-dev, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: golang-github-snapcore-snapd-dev
Architecture: all
Breaks: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
        golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Replaces: golang-github-ubuntu-core-snappy-dev (<< 2.0.6),
          golang-snappy-dev (<< 1.7.3+20160303ubuntu4)
Depends: ${misc:Depends}
Description: snappy development go packages.
 Use these to use the snappy API.

Package: snapd
Architecture: any
Depends: adduser,
         apparmor (>= 2.10.95-0ubuntu2.2),
         ca-certificates,
         gnupg1 | gnupg,
         openssh-client,
         squashfs-tools,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: snap (<< 2013-11-29-5~), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22)
Replaces: snap (<< 2013-11-29-5~), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22)
Built-Using: ${Built-Using} ${misc:Built-Using}
Description: Tool to interact with Ubuntu Core Snappy.
 Install, configure, refresh and remove snap packages. Snaps are
 'universal' packages that work across many different Linux systems,
 enabling secure distribution of the latest apps and utilities for
 cloud, servers, desktops and the internet of things.
 .
 This is the CLI for snapd, a background service that takes care of
 snaps on the system. Start with 'snap list' to see installed snaps.

Package: snap-confine
Architecture: any
Section: oldlibs
Depends: snapd (= ${binary:Version}), ${misc:Depends}
Description: Transitional package for snapd
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-core-launcher
Architecture: any
Depends: snapd (= ${binary:Version}), ${misc:Depends}
Section: oldlibs
Pre-Depends: dpkg (>= 1.15.7.2)
Description: Transitional package for snapd
 This is a transitional dummy package. It can safely be removed.
