## snapd 2.31.2~14.04

=== data/Makefile ===
all install clean:
	$(MAKE) -C systemd $@
	$(MAKE) -C dbus $@
	$(MAKE) -C env $@
