## snapd 2.37

=== debian/changelog ===
snapd (2.37-3) unstable; urgency=medium

  * Fix --no-arch-any build.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 24 Jan 2019 16:11:17 +1300

snapd (2.37-2) unstable; urgency=medium

  * d/patches/0010-man-page-sections.patch: fix a couple of instances of the
    lintian warning 'manpage-section-mismatch'.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 24 Jan 2019 09:52:09 +1300

snapd (2.37-1) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * New upstream version.
  * d/control: make myself Maintainer, use my Debian address, update Vcs-* to
    point to salsa.
  * Add new build-dependencies.
  * d/watch: update to download new upstream-provided no-vendor tarballs.
  * d/patches: refresh/drop.
  * d/patches/no-snapfuse.patch: do not depend on snapfuse fork of squashfuse.
  * d/patches/upstram-bolt.patch: use upstream version of boltdb.
  * d/patches/systemd-activation-compat.patch: compatibility for the
    newer go-systemd in debian

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Zygmunt Krynicki ]
  * Update unreleased package to 2.37
  * Drop and recreate all patches
  * Add patches for failing unit tests
  * Reconcile packaging with snapd upstream

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 22 Jan 2019 12:39:58 +0100
