## snapd 2.37.2

=== debian/changelog ===
snapd (2.37.2-1) unstable; urgency=medium

  * New upstream releease. 

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 07 Feb 2019 21:26:34 +1300

snapd (2.37.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/0009-interfaces-apparmor-mock-presence-of-overlayfs-root.patch:
    applied upstream

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 29 Jan 2019 19:24:35 +0100
