=== debian/changelog ===
snapd (2.37.4-1) unstable; urgency=medium

  * New upstream release
  * d/patches0008-snap-squashsh-skip-TestBuildDate-on-Debian.patch: drop,
    fixed upstream

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 28 Feb 2019 18:21:26 +0100

snapd (2.37.3-1) unstable; urgency=medium

  * New upstream release

 -- Zygmunt Krynicki <me@zygoon.pl>  Tue, 19 Feb 2019 13:46:24 +0100
