=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: snapd
 Section: devel
 Priority: optional
-Maintainer: Steve Langasek <vorlon@debian.org>
-Uploaders: Michael Hudson-Doyle <michael.hudson@ubuntu.com>,
+Maintainer: Michael Hudson-Doyle <mwhudson@debian.org>
+Uploaders: Steve Langasek <vorlon@debian.org>,
 	Zygmunt Krynicki <me@zygoon.pl>,
 	Luke Faraone <lfaraone@debian.org>
 Build-Depends: autoconf,
@@ -10,11 +10,10 @@
                autotools-dev,
                bash-completion,
                dbus,
-               debhelper (>= 9),
+               debhelper (>= 9.20160709),
                dh-apparmor,
                dh-autoreconf,
                dh-golang (>=1.7),
-               dh-systemd,
                fakeroot,
                gettext,
                grub-common,
@@ -22,16 +21,20 @@
                golang-check.v1-dev,
                golang-context-dev,
                golang-dbus-dev,
+               golang-github-boltdb-bolt-dev,
                golang-github-coreos-go-systemd-dev,
+               golang-github-juju-ratelimit-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gosexy-gettext-dev,
+               golang-github-kr-pretty-dev,
+               golang-github-kr-text-dev,
                golang-github-mvo5-goconfigparser-dev,
                golang-github-seccomp-libseccomp-golang-dev,
                golang-go,
                golang-go-flags-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-gopkg-tomb.v2-dev (>= 0.0~git20161208.0.d5d1b58-1),
+               golang-gopkg-tomb.v2-dev (>= 0.0~git20161208.0.d5d1b58),
                golang-yaml.v2-dev,
                golang-gopkg-macaroon.v1-dev,
                golang-gopkg-mgo.v2-dev,
@@ -40,7 +43,6 @@
                golang-github-gosexy-gettext-dev,
                golang-any (>=2:1.6) | golang-1.6,
                indent,
-               init-system-helpers,
                libcap-dev,
                libapparmor-dev,
                libglib2.0-dev,
@@ -57,8 +59,8 @@
                xfslibs-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/snapcore/snapd
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/snapd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/snapd.git
+Vcs-Browser: https://salsa.debian.org/debian/snapd
+Vcs-Git: https://salsa.debian.org/debian/snapd.git
 XS-Go-Import-Path: github.com/snapcore/snapd
 
 Package: golang-github-ubuntu-core-snappy-dev
@@ -87,19 +89,22 @@
          openssh-client,
          squashfs-tools,
          systemd,
+         udev,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: snap (<< 2013-11-29-5~), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22)
-Replaces: snap (<< 2013-11-29-5~), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22)
+Replaces: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22), snapd-xdg-open (<= 0.0.0)
+Breaks: ubuntu-snappy (<< 1.9), ubuntu-snappy-cli (<< 1.9), snap-confine (<< 2.23), ubuntu-core-launcher (<< 2.22), snapd-xdg-open (<= 0.0.0), ${snapd:Breaks}
+Recommends: gnupg
+Suggests: zenity | kdialog
+Conflicts: snap (<< 2013-11-29-1ubuntu1)
 Built-Using: ${Built-Using} ${misc:Built-Using}
-Description: Tool to interact with Ubuntu Core Snappy.
+Description: Daemon and tooling that enable snap packages
  Install, configure, refresh and remove snap packages. Snaps are
  'universal' packages that work across many different Linux systems,
  enabling secure distribution of the latest apps and utilities for
  cloud, servers, desktops and the internet of things.
  .
- This is the CLI for snapd, a background service that takes care of
- snaps on the system. Start with 'snap list' to see installed snaps.
+ Start with 'snap list' to see installed snaps.
 
 Package: snap-confine
 Architecture: any
@@ -115,3 +120,4 @@
 Pre-Depends: dpkg (>= 1.15.7.2)
 Description: Transitional package for snapd
  This is a transitional dummy package. It can safely be removed.
+
