=== debian/tests/control ===
Tests: integrationtests
Restrictions: allow-stderr, rw-build-tree, needs-root, breaks-testbed, isolation-machine
Depends: @builddeps@,
         bzr,
         ca-certificates,
         git,
         golang-golang-x-net-dev,
         locales,
         openssh-server,
         netcat-openbsd,
         net-tools,
         snapd
