## snapd 2.42.1

=== debian/changelog ===
snapd (2.42.1-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 2.27.2-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Aug 2017 17:53:18 +0000]
  * Treat unknown derivatives the same as Debian.
  * Disable testsuite.
  * Fix clean target.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 16 Nov 2019 08:46:37 +0000

snapd (2.42.1-1) unstable; urgency=medium

  * New upstream release, LP: #1846181
    - interfaces: de-duplicate emitted update-ns profiles
    - packaging: tweak handling of usr.lib.snapd.snap-confine
    - interfaces: allow introspecting network-manager on core
    - tests/main/interfaces-contacts-service: disable on openSUSE
      Tumbleweed
    - tests/lib/lxd-snapfuse: restore mount changes introduced by LXD
    - snap: fix default-provider in seed validation
    - tests: update system-usernames test now that opensuse-15.1 works
    - overlord: set fake sertial in TestRemodelSwitchToDifferentKernel
    - gadget: rename "boot{select,img}" -> system-boot-{select,image}
    - tests: listing test, make accepted snapd/core versions consistent

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Oct 2019 13:17:43 +0100

snapd (2.42-1) unstable; urgency=medium

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Oct 2019 11:40:58 +0200

snapd (2.41-1) unstable; urgency=medium

  [ Michael Vogt ]
  * New upstream release, LP: #1840740

  [ Jamie Strandboge ]
  * debian/control: Depends on apparmor >= 2.10.95-5 instead of
    2.10.95-0ubuntu2.2 since 2.10.95-5 in Debian is the first version to have
    all the patches that 2.10.95-0ubuntu2.2 in Ubuntu brought.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Aug 2019 08:53:57 +0200

snapd (2.40-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Vogt <mvo@debian.org>  Tue, 23 Jul 2019 15:38:36 +0200

snapd (2.39.3-1) unstable; urgency=medium

  * New upstream release, LP: #1827495
    - daemon: increase `shutdownTimeout` to 25s to deal with slow HW
    - spread: run tests against openSUSE 15.1
    - data/selinux: fix policy for snaps with bases and classic snaps

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 21 Jun 2019 09:06:01 +0200

snapd (2.39.2-1) unstable; urgency=medium

  * New upstream release, LP: #1827495
    - debian: rework how we run autopkgtests
    - interfaces/docker-support: add overlayfs accesses for ubuntu core
    - data/selinux: permit init_t to remount snappy_snap_t
    - strutil/shlex: fix ineffassign
    - packaging: fix build-depends on powerpc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Jun 2019 08:46:14 +0200

snapd (2.39-1) unstable; urgency=medium

   * New upstream release
   * d/patches0008-snap-squashsh-skip-TestBuildDate-on-Debian.patch: drop,
     fixed upstream

 -- Zygmunt Krynicki <me@zygoon.pl>  Thu, 28 Feb 2019 18:21:26 +0100

snapd (2.39.1-1) unstable; urgency=medium

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 May 2019 12:08:43 +0200

snapd (2.38-1) unstable; urgency=medium

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Mar 2019 11:02:04 +0100
